import { LIST_LOGS_DONE, LIST_LOGS_PUB_SUB } from './repos.constants';
import { Resolver, Subscription } from '@nestjs/graphql';
import { LogList } from './dtos/log-list.model';
import { Inject } from '@nestjs/common';
import { PubSub } from 'apollo-server-express';

@Resolver()
export class ReposResolver {
  constructor(
    @Inject(LIST_LOGS_PUB_SUB)
    private readonly pubSub: PubSub,
  ) {}
  @Subscription(() => LogList)
  listLogsDone() {
    return this.pubSub.asyncIterator(LIST_LOGS_DONE);
  }
}
